---
home: true
heroImage: /images/logo.png
heroText: Micromissiles Unity Project
tagline: Documentation for the Micromissiles Unity project
actionText: Get Started →
actionLink: /Keybinds_and_Controls.html
features:
- title: Swarm-on-swarm simulations
  details: This project models swarm-on-swarm point defense scenarioswith multiple missile and drone models.
- title: Customizable Scenarios
  details: Create and modify various engagement scenarios.
- title: Detailed Analysis
  details: Comprehensive logging and data analysis tools.
---

# Micromissiles Unity Project

![Sim Salvo Animation](/images/sim_salvo_animation.gif)

## Quick Start

We generate pre-built standalone binaries for Windows and Mac users from the `release` branch. These binaries are intended for non-development users who just want to run the application and modify a few configurations along the way.

You can find the latest release [here](https://github.com/PisterLab/micromissiles-unity/releases/latest).

### Windows

1. Download the zip file for Windows: `micromissiles-<version>-windows_x86_64.zip`.
2. Unzip the zip file. The zip file should contain a single directory called `micromissiles-<version>-windows_x86_64`.
3. In the `micromissiles-<version>-windows_x86_64` directory, run `micromissiles-<version>-StandaloneWindows64.exe`.

### Mac

1. Download the tarball file for Darwin: `micromissiles-<version>-darwin.tar.gz`.
2. Untar the tarball. The tarball should contain a single directory called `micromissiles-<version>-darwin`.
3. In the `micromissiles-<version>-darwin` directory, run the app file.

For more detailed information, please refer to our [documentation pages](/Keybinds_and_Controls.html).
